# mball - allfiles listing generator

### SYNOPSIS

mball [commands] <options>

### DESCRIPTION

mball is the allfiles and newfiles listing generator that can be made available on your bbs for your users to get a complete listing of wat is available for download. When used with the -zip option it can also produce complessed versions of these two listings. The resulting files are created in the current directory. After the creation of these files you can hatch them into your bbs with the programs mbfido tic when you properly setup a .tic file area for this purpose and create records for the hatch manager.

It can also create 00index files in each download directory for FTP users. Because this file starts with double zero it is most likely the file at the top in each directory.

### ENVIRONMENT

In order to run mball you need to set the global variable $MBSE_ROOT. This variable must point to the root of the bbs directory structure. The main configuration file config.data must be present in the ~/etc directory.

### COMMANDS

    mball index - Create 00index files in all download directories.
    mball list  - Create allfiles.txt and newfiles.txt files.

### OPTIONS

    mball [command] -quiet - Quiet mode, supress screen output.
    mball list -zip        - Create zipped listings as well.

### SETUP

In mbsetup menu 1.15 you need to set the public FTP base, the days to include in newfiles listings and the maximum security level.

Back to index Back to Main index